Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jivesoftware.openfire
Enum Connection.ClientAuth

    java.lang.Object
      java.lang.Enum<Connection.ClientAuth>
          org.jivesoftware.openfire.Connection.ClientAuth

All Implemented Interfaces:
  Serializable, Comparable<Connection.ClientAuth>

Enclosing interface:
  Connection

    public static enum Connection.ClientAuth

extends Enum<Connection.ClientAuth>

Enumeration that specifies if clients should be authenticated (and how) while negotiating TLS.

Enum Constant Summary
`disabled` No authentication will be performed on the client.
`needed` Clients need to be authenticated.
`wanted` Clients will try to be authenticated.

Method Summary
`static Connection.ClientAuth` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Connection.ClientAuth[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### disabled

    public static final Connection.ClientAuth disabled

  No authentication will be performed on the client. Client credentials will not be verified while negotiating TLS.

### wanted

    public static final Connection.ClientAuth wanted

  Clients will try to be authenticated. Unlike `needed`, if the client chooses not to provide authentication information about itself, the TLS negotiations will stop and the connection will be dropped. This option is only useful for engines in the server mode.

### needed

    public static final Connection.ClientAuth needed

  Clients need to be authenticated. Unlike `wanted`, if the client chooses not to provide authentication information about itself, the TLS negotiations will continue. This option is only useful for engines in the server mode.

Method Detail

### values

    public static final Connection.ClientAuth[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Connection.ClientAuth c : Connection.ClientAuth.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Connection.ClientAuth valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2008 Jive Software.